%define module_name	uvcvideo
%define module_version	1.00.00
%define module_release	alt1.132628.7

%define kversion	2.6.18
%define krelease	alt7
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: uvcvideo USB camera driver
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://mxhaard.free.fr
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
Linux Kernel USB Video Class module
  linux-uvc is a kernel module that supports some standard devices that
  implement USB Video Class.

  Currently supports Logitech Quickcam Fusion, Logitech Quickcam Orbit,
  Logitech Quickcam Pro for Notebooks, and Logitech Quickcam Pro 5000.

The UVC specification covers webcams, digital camcorders, analog video
converters, analog and digital television tuners, and still-image cameras that
support video streaming for both video input and output.
Due to the limited available man power and the broad scope of the UVC
specification, the Linux UVC project will concentrate the development efforts
on video input devices, especially webcams. Video output devices will be
considered at a later time.

The Linux UVC projects is currently focussing on kernel support for UVC
devices. The driver implements the Video4Linux 2 (V4L2) API. Support for V4L1
is not planned.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`

%install
install -d %buildroot%module_dir
install -p -m644 uvcvideo.ko %buildroot%module_dir

install -d %buildroot%_docdir/%name-%version-%release
install -p -m644 uvcvideo.html \
	%buildroot%_docdir/%name-%version-%release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Wed Aug 29 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.00.00-alt1.132628.7
- First build for ALT Linux.
 

